org.apache.flume.formatter.output

## Enum PathManagerType

- java.lang.Object
- - java.lang.Enum<PathManagerType>
  - - org.apache.flume.formatter.output.PathManagerType

- All Implemented Interfaces:
    Serializable, Comparable<PathManagerType>

      @InterfaceAudience.Private
      @InterfaceStability.Unstable
      public enum PathManagerType
      extends Enum<PathManagerType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT`
    `OTHER`
    `ROLLTIME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends PathManager.Builder>` | `getBuilderClass()`
    `static PathManagerType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PathManagerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final PathManagerType DEFAULT

    - #### ROLLTIME

          public static final PathManagerType ROLLTIME

    - #### OTHER

          public static final PathManagerType OTHER

  - ### Method Detail

    - #### values

          public static PathManagerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PathManagerType c : PathManagerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PathManagerType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getBuilderClass

          public Class<? extends PathManager.Builder> getBuilderClass()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.